Bug 620737 - X server crashes when running GTK applications in vmware
X server crashes when running GTK applications in vmware
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 07:29 EDT by nucleo
Modified: 2018-04-11 07:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-16 02:35:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nucleo 2010-08-03 07:29:58 EDT
Description of problem:
X server crashes when running GTK applications in vmware

Version-Release number of selected component (if applicable):
xorg-x11-drv-vmware-10.16.7-4.fc14.i686

How reproducible:
Run LiveCD from http://alt.fedoraproject.org/pub/alt/nightly-composes/kde/

Steps to Reproduce:
1. Run any GTK-based application (for example system-config-date or liveinst)
2.
3.
  
Actual results:
crash:

Backtrace:
0: X (xorg_backtrace+0x3c) [0x80e7a3c]
1: X (0x8048000+0x5da86) [0x80a5a86]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x74640c]
3: /usr/lib/xorg/modules/drivers/vmware_drv.so (0x282000+0x6c11) [0x288c11]
4: X (0x8048000+0xd9363) [0x8121363]
5: X (CompositePicture+0x233) [0x8116323]
6: X (miTrapezoids+0x2cf) [0x81bcc4f]
7: X (CompositeTrapezoids+0xa9) [0x81165f9]
8: X (0x8048000+0xd45c1) [0x811c5c1]
9: X (0x8048000+0xceb34) [0x8116b34]
10: X (0x8048000+0x27497) [0x806f497]
11: X (0x8048000+0x1a2d5) [0x80622d5]
12: /lib/libc.so.6 (__libc_start_main+0xe6) [0xaa2cf6]
13: X (0x8048000+0x19eb1) [0x8061eb1]
Segmentation fault at address 0x8


Expected results:
No crash.

Additional info:
X server not starts if I use vesa driver instead of vmware.
Comment 1 nucleo 2010-09-15 18:03:49 EDT
No crash with updated xorg-x11-drv-vmware.
Comment 2 Matěj Cepl 2010-09-16 02:35:59 EDT
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.